/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package swing.addon.plaf.themelf;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;

public class ThemeLF_CheckBoxUI extends BasicCheckBoxUI {
	private static final boolean DEBUG = false;

	ThemeLF_Resource	resource 			= ThemeLF.getUI("CheckBox");
	ColorUIResource		backgroundColor	= null;
	ColorUIResource 		focusColor 			= null;
	ThemeLF_Disabler		disabler			= null;
	
	public static ComponentUI createUI(JComponent c)  {
		return new ThemeLF_CheckBoxUI();
	}

	public void installUI(JComponent c)  {
		super.installUI(c);
		
		resource 			= ThemeLF.getUI("CheckBox");
		backgroundColor		= resource.getColor("backgroundColor");
		focusColor 			= resource.getColor("focusColor");
		disabler				= resource.getDisabler("disable");
	}

	public void paint(Graphics g, JComponent c)  {
		super.paint(g, c);
		
		if (! c.isEnabled()) disabler.paint(c, g, 0, 0, 0, 0);
	}

	protected void paintFocus(Graphics g, Rectangle textRect, Dimension size)  {
		g.setColor(focusColor);
		g.drawRect(textRect.x-1,textRect.y-1,textRect.width+1, textRect.height+1);
	}

}
