/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package swing.addon.plaf.themelf;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;

public class ThemeLF_PopupMenuSeparatorUI extends BasicPopupMenuSeparatorUI {
	private static final boolean DEBUG = false;

	ThemeLF_Resource resource 		= null;
	ColorUIResource	color1			= null;
	ColorUIResource	color2			= null;
	Dimension			preferredSize	= null;
	
	public static ComponentUI createUI(JComponent c)  {
		return new ThemeLF_PopupMenuSeparatorUI();
	}

	public Dimension getPreferredSize(JComponent c)  {
		return preferredSize;
	}

	public void installUI(JComponent c)  {
		super.installUI(c);
		
		resource 		= ThemeLF.getUI("PopupMenuSeparator");
		color1			= resource.getColor("color1");
		color2			= resource.getColor("color2");
		preferredSize	= resource.getDimension("preferredSize");
	}

	public void paint(Graphics g, JComponent c)  {
		Dimension s = c.getSize();
		
		g.setColor(color1);
		g.drawLine(0,2,s.width,2);
		g.setColor(color2);
		g.drawLine(0,3,s.width,3);
	}

}
