/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package swing.addon.plaf.themelf;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;

public class ThemeLF_ScrollPaneUI_Border extends AbstractBorder implements UIResource {
	private static final boolean DEBUG = false;

	ThemeLF_Resource	resource				= ThemeLF.getUI("ScrollPane");
	ThemeLF_Border 		scrollPaneBorder	 	= resource.getBorder("border");
	boolean		 		paintForTree			= resource.getBoolean("paintForTree");
	boolean		 		paintForTable	 		= resource.getBoolean("paintForTable");
	boolean		 		paintForList		 		= resource.getBoolean("paintForList");
	boolean		 		paintForEditorPane	 	= resource.getBoolean("paintForEditorPane");
	boolean		 		paintForTextArea	 	= resource.getBoolean("paintForTextArea");
	
	public Insets getBorderInsets(Component c)  {
		Component view = ((JScrollPane)c).getViewport().getView();
		
		if (view != null && view instanceof JTree && ! paintForTree)
			{
			return new Insets(0,0,0,0);
			}
		else if (view != null && view instanceof JTable && ! paintForTable)
			{
			return new Insets(0,0,0,0);
			}
		else if (view != null && view instanceof JList && ! paintForList)
			{
			return new Insets(0,0,0,0);
			}
		else if (view != null && view instanceof JEditorPane && ! paintForEditorPane)
			{
			return new Insets(0,0,0,0);
			}
		else if (view != null && view instanceof JTextArea && ! paintForTextArea)
			{
			return new Insets(0,0,0,0);
			}
		else return scrollPaneBorder.getBorderInsets(c);
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int width, int height)  {
		Component view = ((JScrollPane)c).getViewport().getView();
		
		if (view != null && view instanceof JTree && ! paintForTree)
			{
			}
		else if (view != null && view instanceof JTable && ! paintForTable)
			{
			}
		else if (view != null && view instanceof JList && ! paintForList)
			{
			}
		else if (view != null && view instanceof JEditorPane && ! paintForEditorPane)
			{
			}
		else if (view != null && view instanceof JTextArea && ! paintForTextArea)
			{
			}
		else scrollPaneBorder.paintBorder(c, g, x, y, width, height);
	}

}
