/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package swing.addon.plaf.themelf;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;
import javax.swing.text.*;

public class ThemeLF_TextFieldUI extends BasicTextFieldUI {
	private static final boolean DEBUG = false;

	JComponent 			component 	= null;
	ThemeLF_Resource	resource 	= null;
	ThemeLF_Disabler 		disabler 	= null;
	
	public ThemeLF_TextFieldUI(JComponent c)  {
		component = c;
	}

	public static ComponentUI createUI(JComponent c)  {
		return new ThemeLF_TextFieldUI(c);
	}

	public void installUI(JComponent c)  {
		super.installUI(c);
		
		resource 	= ThemeLF.getUI("TextField");
		disabler 	= resource.getDisabler("disable");
	}

	public void paintSafely(Graphics g)  {
		super.paintSafely(g);
		
		if (! component.isEnabled()) disabler.paint(component, g, 0, 0, 0, 0);
	}

}
