/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package swing.addon.plaf.themelf;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;
import javax.swing.text.*;

public class ThemeLF_TextFieldUI_Border extends AbstractBorder implements UIResource {
	private static final boolean DEBUG = false;

	ThemeLF_Resource	resource			= ThemeLF.getUI("TextField");
	ThemeLF_Border 		border 				= resource.getBorder("border");
	ThemeLF_Border 		readOnlyBorder 	= resource.getBorder("readOnlyBorder");
	
	public Insets getBorderInsets(Component c)  {
		if (c.getParent() instanceof JViewport) return new Insets(0,0,0,0);
		return border.getBorderInsets(c);
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int width, int height)  {
		if (c.getParent() instanceof JViewport) return;
		
		JTextComponent tc = (JTextComponent)c;
		if (tc.isEditable()) border.paintBorder(c, g, x, y, width, height); else readOnlyBorder.paintBorder(c, g, x, y, width, height);
	}

}
